News

Important Notice for MetaTrader 4 Build Update

News Archive

2011 2012 2013 2014 2015 2016 2017

We always strive to further improve the quality of service we provide you with.

Please note in order to do so we have made an important update to our servers. From August 1, 2013 MetaTrader 4 desktop client terminals older than build 500 will no longer be supported. This limitation does not apply to the mobile terminals.

In this regard, we strongly recommend all our clients to install the updates and encourage traders to update their trading terminals to build 509 as soon as possible. Please do not hesitate to contact our client services team if you have any questions.

CLICK HERE TO UPGRADE YOUR BUILD

If you have any questions on the above, please do not hesitate to contact our Client Support Centre by email at support@icmcapital.co.uk or by visiting our website www.icmcapital.co.uk.

CFDs and Spot FX are leveraged products. Trading CFD's or Spot FX carries a high risk to your capital and can result in losses that exceed your deposits. Read More
Read More
Mail Call Chat